Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226533 - Merge Review: vsftpd
Summary: Merge Review: vsftpd
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Maros Barabas
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 21:16 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-04 13:14:28 UTC
jpmahowald: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 21:16:08 UTC
Fedora Merge Review: vsftpd

http://cvs.fedora.redhat.com/viewcvs/devel/vsftpd/
Initial Owner: mbarabas@redhat.com

Comment 1 John Mahowald 2007-02-03 16:33:15 UTC
Good:
+ License GPL
+ Follows naming guidelines
+ URL to source
+ %clean section
+ use of %doc macro

Fix these and it's approved:
- Use %{_var}, %{_sysconfdir}, and %{_sbindir} macros for %files and %install
- Change Prereq to Requires. Also use Requires (post) and Requires (preun) style
for chkconfig and service requirements.
- use preferred BuildRoot of
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Also drop this stuff, unneeded:
- "[ "$RPM_BUILD_ROOT" != "/" ] && " in %clean
- Requires: openssl, pam, libcap
- usermod requirement, not used (commented out).



Note You need to log in before you can comment on or make changes to this bug.